Bug 1020128 - [abrt] lyx-2.0.6-1.fc19: lyx::Buffer::Impl::setLabel: Process /usr/bin/lyx was killed by signal 11 (SIGSEGV)
[abrt] lyx-2.0.6-1.fc19: lyx::Buffer::Impl::setLabel: Process /usr/bin/lyx wa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:eb5c6ab20b0bb199535e1fd2193...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 01:19 EDT by Janis
Modified: 2014-04-27 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: lyx-2.1.0-0.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-27 05:06:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (877.95 KB, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: core_backtrace (414.35 KB, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: dso_list (17.14 KB, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: environ (1.31 KB, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: maps (80.12 KB, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: open_fds (704 bytes, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details
File: var_log_messages (7.13 KB, text/plain)
2013-10-17 01:19 EDT, Janis
no flags Details

  None (edit)
Description Janis 2013-10-17 01:19:13 EDT
Description of problem:
I tried to import latex document with malformed tables and it (Lyx) crashed.
Unfortunately Lyx does not support longtabu and tabularx environments.
My original document with table beginings as the following example did not rendered as a table:
\begin{tabularx}{\textwidth}{Xccc}

I decided to simply replace "tabularx" with "tabular" so that the latex code looks like this:
\begin{tabular}{\textwidth}{Xccc}

At least one table with incorrect paramaters causes Lyx to crash.

Version-Release number of selected component:
lyx-2.0.6-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        lyx
crash_function: lyx::Buffer::Impl::setLabel
executable:     /usr/bin/lyx
kernel:         3.11.3-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 lyx::Buffer::Impl::setLabel at Buffer.cpp:4204
 #1 lyx::Buffer::updateBuffer at Buffer.cpp:4370
 #2 lyx::InsetTabular::updateBuffer at insets/InsetTabular.cpp:3840
 #3 lyx::Buffer::updateBuffer at Buffer.cpp:4377
 #4 lyx::InsetTabular::updateBuffer at insets/InsetTabular.cpp:3840
 #5 lyx::Buffer::updateBuffer at Buffer.cpp:4377
 #6 lyx::InsetTabular::updateBuffer at insets/InsetTabular.cpp:3840
 #7 lyx::Buffer::updateBuffer at Buffer.cpp:4377
 #8 lyx::InsetTabular::updateBuffer at insets/InsetTabular.cpp:3840
 #9 lyx::Buffer::updateBuffer at Buffer.cpp:4377
Comment 1 Janis 2013-10-17 01:19:21 EDT
Created attachment 813177 [details]
File: backtrace
Comment 2 Janis 2013-10-17 01:19:24 EDT
Created attachment 813178 [details]
File: cgroup
Comment 3 Janis 2013-10-17 01:19:30 EDT
Created attachment 813179 [details]
File: core_backtrace
Comment 4 Janis 2013-10-17 01:19:34 EDT
Created attachment 813180 [details]
File: dso_list
Comment 5 Janis 2013-10-17 01:19:37 EDT
Created attachment 813181 [details]
File: environ
Comment 6 Janis 2013-10-17 01:19:40 EDT
Created attachment 813182 [details]
File: exploitable
Comment 7 Janis 2013-10-17 01:19:43 EDT
Created attachment 813183 [details]
File: limits
Comment 8 Janis 2013-10-17 01:19:46 EDT
Created attachment 813184 [details]
File: maps
Comment 9 Janis 2013-10-17 01:19:49 EDT
Created attachment 813185 [details]
File: open_fds
Comment 10 Janis 2013-10-17 01:19:52 EDT
Created attachment 813186 [details]
File: proc_pid_status
Comment 11 Janis 2013-10-17 01:19:55 EDT
Created attachment 813187 [details]
File: var_log_messages
Comment 12 José Matos 2014-02-04 10:31:53 EST
Thank you for the report. The problem with the timing was that at the same my son David was born and between your bug report and David, David won. ;-)

I will forward this message to the developers mailing list. Before doing that do you have a small document where this problem occurs? Because then it will be easier to debug the problem.

Even if lyx does not convert correctly the latex document it should never crash. It it converts that is a bonus but it should never crash.
Comment 13 Fedora Update System 2014-04-15 11:53:19 EDT
lyx-2.1.0-0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lyx-2.1.0-0.fc20
Comment 14 Fedora Update System 2014-04-15 11:54:54 EDT
lyx-2.1.0-0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lyx-2.1.0-0.fc19
Comment 15 Fedora Update System 2014-04-16 05:21:04 EDT
Package lyx-2.1.0-0.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lyx-2.1.0-0.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5212/lyx-2.1.0-0.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2014-04-27 05:06:50 EDT
lyx-2.1.0-0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-04-27 05:09:03 EDT
lyx-2.1.0-0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.